import Vue from 'vue'

// base library
import {
  ConfigProvider,
  Layout,
  Input,
  Button,
  Switch,
  Checkbox,
  Form,
  Row,
  Col,
  Modal,
  Tabs,
  Icon,
  Popover,
  Dropdown,
  List,
  Avatar,
  Spin,
  Menu,
  Drawer,
  Tooltip,
  Alert,
  Tag,
  Divider,
  Progress,
  Result,
  message,
  notification,
  Space,
} from 'ant-design-vue'

Vue.use(ConfigProvider)
Vue.use(Layout)
Vue.use(Input)
Vue.use(Button)
Vue.use(Switch)
Vue.use(Checkbox)
Vue.use(Form)
Vue.use(Row)
Vue.use(Col)
Vue.use(Modal)
Vue.use(Tabs)
Vue.use(Icon)
Vue.use(Popover)
Vue.use(Dropdown)
Vue.use(List)
Vue.use(Avatar)
Vue.use(Spin)
Vue.use(Menu)
Vue.use(Drawer)
Vue.use(Tooltip)
Vue.use(Alert)
Vue.use(Tag)
Vue.use(Divider)
Vue.use(Progress)
Vue.use(Result)
Vue.use(Space)

Vue.prototype.$confirm = Modal.confirm
Vue.prototype.$message = message
Vue.prototype.$notification = notification
Vue.prototype.$info = Modal.info
Vue.prototype.$success = Modal.success
Vue.prototype.$error = Modal.error
Vue.prototype.$warning = Modal.warning

process.env.NODE_ENV !== 'production' &&
  console.warn('[jeecg-boot-vue] NOTICE: Antd use lazy-load.')
