module.exports = {
  types: [
    { value: 'feat', name: 'feat:     增加新功能' },
    { value: 'fix', name: 'fix:      修复bug' },
    { value: 'docs', name: 'docs:     修改文档' },
    { value: 'style', name: 'style:    样式修改不影响逻辑' },
    { value: 'refactor', name: 'refactor: 代码重构' },
    { value: 'perf', name: 'perf:     性能优化' },
    { value: 'test', name: 'test:     增删测试' },
    { value: 'build', name: 'build:    修改构建或外部依赖' },
    { value: 'ci', name: 'ci:       修改ci配置或脚本' },
    { value: 'chore', name: 'chore:    除src目录或测试文件以外的修改' },
    { value: 'revert', name: 'revert:   版本回退' },
  ],
  scopes: [],
  messages: {
    type: '选择更改类型:\n',
    customScope: '更改的范围:\n', // ( 'Denote the SCOPE of this change:') allowcustomscopes为true，key为:customScope, 否则为scope
    subject: '简短描述:\n',
    body: '详细描述. 使用"|"换行:\n',
    breaking: 'Breaking Changes列表:\n',
    footer: '关闭的issues列表. E.g.: #31, #34:\n',
    confirmCommit: '确认提交?',
  },
  allowCustomScopes: true,
  allowBreakingChanges: ['feat', 'fix'],
}
