// 生成随机变量mock示例
const Mock = require('mockjs')

const data = Mock.mock({
  'items|30': [
    {
      id: '@id',
      title: '@sentence(10, 20)',
      'status|1': ['published', 'draft', 'deleted'],
      author: 'name',
      display_time: '@datetime',
      pageviews: '@integer(300, 5000)',
    },
  ],
})

module.exports = [
  {
    url: '/table/list',
    type: 'get',
    // eslint-disable-next-line no-unused-vars
    response: config => {
      const items = data.items
      return {
        errcode: 0,
        data: {
          total: items.length,
          items: items,
        },
      }
    },
  },
]
