import Vue from 'vue'
import { updateTheme } from '@/components/SettingDrawer/settingConfig'

const app = {
  state: {
    // fixedHeader: true,
    // fixSiderbar: true,
    primaryColor: '',
    multiTab: true,
    navTheme: 'dark',
  },
  mutations: {
    // toggleFixedHeader: (state, fixed) => {
    //   Vue.ls.set("fixedHeader", fixed);
    //   state.fixedHeader = fixed;
    // },
    // toggleFixedSiderbar: (state, fixed) => {
    //   Vue.ls.set("fixedSiderbar", fixed);
    //   state.fixSiderbar = fixed;
    // },
    toggleColor(state, color) {
      Vue.ls.set('primaryColor', color)
      state.primaryColor = color
    },
    setMultiTab(state, multiTab) {
      Vue.ls.set('multiTab', multiTab)
      state.multiTab = multiTab
    },
    toggleNavTheme(state, navTheme) {
      Vue.ls.set('navTheme', navTheme)
      state.navTheme = navTheme
    },
  },
  actions: {
    // toggleFixedHeader({ commit }, fixedHeader) {
    //   commit("toggleFixedHeader", fixedHeader);
    // },
    // toggleFixedSiderbar({ commit }, fixSiderbar) {
    //   commit("toggleFixedSiderbar", fixSiderbar);
    // },
    toggleColor({ commit }, color) {
      updateTheme(color)
      commit('toggleColor', color)
    },
  },
}

export default app
